<?php
# ---------------------------------------------------------------------
# truc is a tool for requirement and use case tracking
# Copyright (C) 2006 ASDIS - http://sf.net/projects/truc
#
# (rth) Initial truc version based on rth
#       Copyright (C) 2005 George Holbrook - rth@lists.sourceforge.net
#
# This program is distributed under the terms and conditions of the GPL
# See the README and LICENSE files for details
#----------------------------------------------------------------------

include"./api/include_api.php";
auth_authenticate_user();

$test_id			= $_POST['test_id'];
$test_version_id	= $_POST['test_version_id'];
$page				= 'test_detail_page.php';
$redirect_page 		= 'test_detail_page.php?test_id='. $test_id;

session_validate_form_set($_POST, $redirect_page);

test_add_new_version( $test_id,
					   $test_version_id,
					   session_validate_form_get_field('test_comments'),
					   session_validate_form_get_field('test_status'),
					   session_validate_form_get_field('test_assigned_to'),
					   $page);


session_validate_form_reset();

html_print_operation_successful( "add_test_version_page", $redirect_page );

?>